Bug 151574 - cannot up2date or yum -u or rpmdb --rebuilddb
cannot up2date or yum -u or rpmdb --rebuilddb
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-19 21:02 EST by Clyde E. Kunkel
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-20 22:43:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Clyde E. Kunkel 2005-03-19 21:02:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050313 Fedora/1.7.6-0.cvs.20050313

Description of problem:
up2date -u --nosig fails as does yum -y update as does rpmdb --rebuilddb

up2date -u --nosig shows:
# up2date -u --nosig
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror: http://sunsite.mff.cuni.cz/pub/fedora/development/i386/
rpmdb: unable to initialize mutex: Function not implemented
rpmdb: /var/lib/rpm/__db.001: unable to initialize environment lock: Function not implemented
error: db4 error(38) from dbenv->open: Function not implemented
error: cannot open Packages index using db3 - Function not implemented (38)
error: cannot open Packages database in /var/lib/rpm
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1245, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 800, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1119, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 62, in run
    self.__findPackagesToUpdate()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 101, in __findPackagesToUpdate
    plist.run()
  File "/usr/share/rhn/up2date_client/packageList.py", line 121, in run
    installedPackageList = rpmUtils.getInstalledPackageList(getArch=1)
  File "/usr/share/rhn/up2date_client/rpmUtils.py", line 455, in getInstalledPackageList
    for h in _ts.dbMatch():
TypeError: rpmdb open failed

yum -y update gives:
 yum -y update
rpmdb: unable to initialize mutex: Function not implemented
rpmdb: /var/lib/rpm/__db.001: unable to initialize environment lock: Function not implemented
error: db4 error(38) from dbenv->open: Function not implemented
error: cannot open Packages index using db3 - Function not implemented (38)
error: cannot open Packages database in /var/lib/rpm
Traceback (most recent call last):
  File "/usr/bin/yum", line 15, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 51, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 156, in getOptionsConfig
    self.doConfigSetup(fn = conffile, root = root)
  File "__init__.py", line 71, in doConfigSetup
  File "config.py", line 291, in __init__
  File "config.py", line 324, in _getsysver
TypeError: rpmdb open failed

rpmdb --rebuilddb gives:
 rpmdb --rebuilddb
rpmdb: unable to initialize mutex: Function not implemented
rpmdb: /var/lib/rpm/__db.001: unable to initialize environment lock: Function not implemented
error: db4 error(38) from dbenv->open: Function not implemented
error: cannot open Packages index using db3 - Function not implemented (38)




Version-Release number of selected component (if applicable):
not sure which component -- maybe rpmdb

How reproducible:
Always

Steps to Reproduce:
1. as root:  up2date -u --nosig or yum -y update or rpmdb --rebuilddb
2.
3.
  

Actual Results:  error msgs as indicated above.

Expected Results:  Normal update from development (providing dependencies met).


Additional info:
Comment 1 Clyde E. Kunkel 2005-03-20 17:35:32 EST
Resolved.  Google was my friend. Changed /lib/tls.disabled back to /lib/tls. Had
been trying to get a Xen kernel to work with FC4T1.
Comment 2 Jeremy Katz 2005-03-20 22:43:16 EST
Yes, RPM uses nptl and thus you need to have the TLS libs available.

Note You need to log in before you can comment on or make changes to this bug.